%define name musashi
%define version 1.0.3
#%define srcrel pre6
%define release 1
%define date 20040214

# default encoding is euc
# if you want to change encoding, used setdocenc.sh
%define docenc 0
# Set this to "1" if you want to use UTF-8
%define utf8 0
# Set this to "1" if you want to use Shift_JIS
%define sjis 0

Summary: MUSASHI provides a set of commands for data mining and data warehousing
Name: musashi
Summary(ja): MUSAHI ϥǡޥ˥󥰤ǡϥ󥰸Υޥɷ󶡤ޤ
Version: %{version}
Release: %{release}
License: GPL2
Group: Applications/Databases
Url: http://musashi.sourceforge.ne.jp/
BuildRoot: %{_tmppath}/%{name}-buildroot
Source0: %{name}-core-%{version}.tar.gz
Source1: %{name}-man-%{date}.tar.gz
Source2: %{name}-module-%{date}.tar.gz
Source3: %{name}-check-%{date}.tar.gz
BuildPrereq: libtool, automake, autoconf, libxml2-devel, zlib-devel, gawk
%if %{docenc}
BuildPrereq: perl
%endif
Requires: libxml2, bash

%description
MUSASHI is a set of commands that enables us to efficiently execute various types of data manipulations in a flexible manner, mainly aiming at data processing of huge amount of data required for data mining. Data format which MUSASHI can deal with is either an XML table written in XML or plain text file with table structure. Maximum data size which MUSASHI can handle ranges from millions to tens of millions of records. 

%description -l ja
MUSASHIϡ顢ӥͥˤǡޥ˥󥰤μ»ܤɬפȤʤ롢
̥ǡΤ˳ȯ줿ޥɷǤMUSASHIоݤȤ
ǡXMLǵҤ줿XMLtable⤷Plain Textˤɽ¤ΥǡǤ
ޥΥڥåˤޤɴΥǡǽǤ

%prep
%setup -q -c -a 1 -a 2

pushd %{name}-core-%{version}
%if %{utf8}
perl -pi -e 's,^#(helpEnc=ja-utf8),$1,' setdocenc.sh
perl -pi -e 's,^#(manEnc=ja-utf8),$1,' setdocenc.sh
perl -pi -e 's,^#(xmlEnc=UTF-8),$1,' setdocenc.sh
./setdocenc.sh
%endif

%if %{sjis}
perl -pi -e 's,^#(helpEnc=ja-sjis),$1,' setdocenc.sh
perl -pi -e 's,^#(manEnc=ja-sjis),$1,' setdocenc.sh
perl -pi -e 's,^#(xmlEnc=Shift_JIS),$1,' setdocenc.sh
./setdocenc.sh
%endif
popd

%build
pushd %{name}-core-%{version}
%configure 
make
popd

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_mandir}/ja/man1
mkdir -p %{buildroot}%{_datadir}/musashi

pushd %{name}-core-%{version}
%makeinstall
popd

pushd %{name}-man-%{date}
# install man files of en
cp en/*.1 %{buildroot}%{_mandir}/man1/
# install man files of ja
cp ja-euc/*.1 %{buildroot}%{_mandir}/ja/man1
popd

# install modules' shell script
pushd %{name}-module-%{date}
cp ja-euc/*.sh %{buildroot}%{_bindir}
popd

# install check script to /usr/share/musashi
cp %{SOURCE3} %{buildroot}%{_datadir}/musashi


%files
%defattr(-, root, root)
%doc %{name}-core-%{version}/{AUTHORS,COPYING,ChangeLog,README,INSTALL,NEWS}
%{_libdir}/lib*
%{_includedir}/musashi.h
%{_includedir}/musashi/*
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/ja/man1/*
%{_datadir}/musashi/*

%changelog
* Tue Apr 27 2004 Satoshi MACHINO <machino@vinelinux.org> 1.0.3-1
- build for RHL9
